#include <stdio.h>
#include <assert.h>
#include "symboltable.hh"
#include "unix.hh"

int main ( void )
{
    Symbol_Table * symtab = Do_Read_Symbols ( "tc/testcase" ,
            "./bin/arm-9tdmi-linux-gnu-nm" ) ;
    assert ( symtab != 0L ) ;

    FILE * fd = fopen ( "test_sequence" , "rt" ) ;
    assert ( fd != 0L ) ;
    unsigned pc = 0 ;
    unsigned pc1 = 0 ;

    while ( fscanf ( fd , "0x%x\n" , & pc ) == 1 )
    {
        if ( pc != pc1 )
        {
            fprintf ( stdout , "0x%-8x  " , pc ) ;
            symtab -> Lookup ( stdout , (ulongint) pc ) ;
            fprintf ( stdout , "\n" ) ;
        }
        pc1 = pc ;
    }
    delete symtab ;
    fclose ( fd ) ;
}

